tuscany-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ajbor...@apache.org
Subject svn commit: r465579 - in /incubator/tuscany/cpp/sca: GettingStarted.html runtime/extensions/python/src/Makefile.am runtime/extensions/python/src/deploy.sh runtime/extensions/ruby/src/Makefile.am runtime/extensions/ruby/src/deploy.sh
Date Thu, 19 Oct 2006 11:23:35 GMT
Author: ajborley
Date: Thu Oct 19 04:23:33 2006
New Revision: 465579

URL: http://svn.apache.org/viewvc?view=rev&rev=465579
Log:
Improved the renaming of extension libraries on Linux for TUSCANY-868

Modified:
    incubator/tuscany/cpp/sca/GettingStarted.html
    incubator/tuscany/cpp/sca/runtime/extensions/python/src/Makefile.am
    incubator/tuscany/cpp/sca/runtime/extensions/python/src/deploy.sh
    incubator/tuscany/cpp/sca/runtime/extensions/ruby/src/Makefile.am
    incubator/tuscany/cpp/sca/runtime/extensions/ruby/src/deploy.sh

Modified: incubator/tuscany/cpp/sca/GettingStarted.html
URL: http://svn.apache.org/viewvc/incubator/tuscany/cpp/sca/GettingStarted.html?view=diff&rev=465579&r1=465578&r2=465579
==============================================================================
--- incubator/tuscany/cpp/sca/GettingStarted.html (original)
+++ incubator/tuscany/cpp/sca/GettingStarted.html Thu Oct 19 04:23:33 2006
@@ -197,12 +197,14 @@
                 </UL></LI>
               <LI>Build the source with the following command sequence:
                   <UL>
-                      <LI>./configure --prefix=&lt;tuscany_sca_install_dir&gt;/deploy
--enable-static=no</LI>
+                      <LI>./configure --prefix=&lt;tuscany_sca_install_dir&gt;/deploy
--enable-static=no --enable-python=yes --enable-ruby=yes</LI>
                       <LI>make</LI>
                       <LI>make install</LI>
                   </UL>
 	              NOTE: If you don't provide a --prefix configure option, it will by default
install into
-                  /usr/local/tuscany/sca. Use ./configure --help to see all the available
options</LI>
+                  /usr/local/tuscany/sca. If you do not wish to build the Python or Ruby
extensions, simply change the 
+                  --enable-python and --enable-ruby options to "no". Use ./configure --help
to see all the available 
+                  options</LI>
               <LI>Set the TUSCANY_SCACPP environment variable to point to the &lt;tuscany_sca_install_dir&gt;/deploy
                   directory that contains the built Tuscany SCA distribution</LI>
               </OL>

Modified: incubator/tuscany/cpp/sca/runtime/extensions/python/src/Makefile.am
URL: http://svn.apache.org/viewvc/incubator/tuscany/cpp/sca/runtime/extensions/python/src/Makefile.am?view=diff&rev=465579&r1=465578&r2=465579
==============================================================================
--- incubator/tuscany/cpp/sca/runtime/extensions/python/src/Makefile.am (original)
+++ incubator/tuscany/cpp/sca/runtime/extensions/python/src/Makefile.am Thu Oct 19 04:23:33
2006
@@ -19,9 +19,14 @@
 lib_LTLIBRARIES = libtuscany_sca_python.la
 
 install-exec-hook:
-	cd $(libdir); \
-        ln -s -f libtuscany_sca_python.so sca.so; \
-        for i in libtuscany_sca_python.*; do mv $$i $$i.disabled; done
+        cd $(libdir); \
+        for i in libtuscany_sca_python.so*; \
+        do mv $$i $$i.disabled; \
+           if ! [ "$$i" = "libtuscany_sca_python.so.0.0.0" ]; then \
+              ln -s -f libtuscany_sca_python.so.0.0.0.disabled $$i.disabled; \
+           fi; \
+        done;
+
 
 pydir=$(prefix)/extensions/python/lib
 py_DATA = tuscany/sca/python/sca_proxy.py

Modified: incubator/tuscany/cpp/sca/runtime/extensions/python/src/deploy.sh
URL: http://svn.apache.org/viewvc/incubator/tuscany/cpp/sca/runtime/extensions/python/src/deploy.sh?view=diff&rev=465579&r1=465578&r2=465579
==============================================================================
--- incubator/tuscany/cpp/sca/runtime/extensions/python/src/deploy.sh (original)
+++ incubator/tuscany/cpp/sca/runtime/extensions/python/src/deploy.sh Thu Oct 19 04:23:33
2006
@@ -21,6 +21,17 @@
 
 echo "Enabling the Tuscany Python extension"
 
-for i in lib/*.disabled; do x=${i%.disabled}; mv $i $x; done
+cd ./lib
+
+for i in *.disabled; \
+do x=${i%.disabled}; \
+   mv $i $x; \
+   if ! [ "$x" = "libtuscany_sca_python.so.0.0.0" ]; then \
+      ln -s -f libtuscany_sca_python.so.0.0.0 $x; \
+   fi; \
+done
+
+ln -s -f libtuscany_sca_python.so sca.so
 
 echo "Done"
+

Modified: incubator/tuscany/cpp/sca/runtime/extensions/ruby/src/Makefile.am
URL: http://svn.apache.org/viewvc/incubator/tuscany/cpp/sca/runtime/extensions/ruby/src/Makefile.am?view=diff&rev=465579&r1=465578&r2=465579
==============================================================================
--- incubator/tuscany/cpp/sca/runtime/extensions/ruby/src/Makefile.am (original)
+++ incubator/tuscany/cpp/sca/runtime/extensions/ruby/src/Makefile.am Thu Oct 19 04:23:33
2006
@@ -19,9 +19,13 @@
 lib_LTLIBRARIES = libtuscany_sca_ruby.la
 
 install-exec-hook:
-	cd $(libdir); \
-        ln -s -f libtuscany_sca_ruby.so tuscany_sca_ruby.so; \
-        for i in libtuscany_sca_ruby.*; do mv $$i $$i.disabled; done
+	cd $(libdir); \        
+        for i in libtuscany_sca_ruby.so*; \
+        do mv $$i $$i.disabled; \
+           if ! [ "$$i" = "libtuscany_sca_ruby.so.0.0.0" ]; then \
+              ln -s -f libtuscany_sca_ruby.so.0.0.0.disabled $$i.disabled; \
+           fi; \
+        done;
 
 rootdir=$(prefix)/extensions/ruby
 root_SCRIPTS = deploy.sh

Modified: incubator/tuscany/cpp/sca/runtime/extensions/ruby/src/deploy.sh
URL: http://svn.apache.org/viewvc/incubator/tuscany/cpp/sca/runtime/extensions/ruby/src/deploy.sh?view=diff&rev=465579&r1=465578&r2=465579
==============================================================================
--- incubator/tuscany/cpp/sca/runtime/extensions/ruby/src/deploy.sh (original)
+++ incubator/tuscany/cpp/sca/runtime/extensions/ruby/src/deploy.sh Thu Oct 19 04:23:33 2006
@@ -21,6 +21,16 @@
 
 echo "Enabling the Tuscany Ruby extension"
 
-for i in lib/*.disabled; do x=${i%.disabled}; mv $i $x; done
+cd ./lib
+
+for i in *.disabled; \
+do x=${i%.disabled}; \
+   mv $i $x; \
+   if ! [ "$x" = "libtuscany_sca_ruby.so.0.0.0" ]; then \
+      ln -s -f libtuscany_sca_ruby.so.0.0.0 $x; \
+   fi; \
+done
+
+ln -s -f libtuscany_sca_ruby.so tuscany_sca_ruby.so;
 
 echo "Done"



---------------------------------------------------------------------
To unsubscribe, e-mail: tuscany-commits-unsubscribe@ws.apache.org
For additional commands, e-mail: tuscany-commits-help@ws.apache.org


Mime
View raw message